import gtk
from gtk import TRUE, FALSE
import libglade
import string
import gettext

_=gettext.gettext

xml = None
hardware = None


def on_generic_device_clist_select_row (clist, row, column, event):
    device = clist.get_row_data (row)
    if device == None:
        return
    if string.find (device.kudzu_device.desc, "|") != -1:
        mfg, desc = string.split (device.kudzu_device.desc, "|")
    else:
        mfg = _("Unknown")
        desc = device.kudzu_device.desc

    xml.get_widget ('generic_manufacture_label').set_text (mfg)
    xml.get_widget ('generic_driver_label').set_text (device.kudzu_device.driver)
    if device.kudzu_device.device != None:
        xml.get_widget ('generic_device_label').set_text ('/dev/' + device.kudzu_device.device)
    else:
        xml.get_widget ('generic_device_label').set_text (_("N/A"))

def hydrate (devices):
    clist = xml.get_widget ('generic_device_clist')
    clist.freeze ()
    clist.clear ()
    for device in devices:
        row = clist.append ([device.get_name ()])
        clist.set_row_data (row, device)
    clist.columns_autosize ()
    clist.sort ()
    clist.select_row (0, 0)
    clist.thaw ()

def initialize (global_xml, global_hardware):
    global xml, hardware
    xml = global_xml
    hardware = global_hardware
    xml.signal_autoconnect ({
        "on_generic_device_clist_select_row" : on_generic_device_clist_select_row,
        })
